Bug 28920 - Проблема с подключением по wi-fi при обновлении Simply Linux
: Проблема с подключением по wi-fi при обновлении Simply Linux
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xfce4-session)
: unstable
: all Linux
: P3 normal
Assigned To:
:
: http://forum.altlinux.org/index.php/t...
:
:
: 27685
  Show dependency tree
 
Reported: 2013-05-02 08:05 by
Modified: 2013-05-07 22:25 (History)


Attachments
логи и скриншоты (1.20 MB, application/x-tar)
2013-05-03 10:09, Vitaly Lopatin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2013-05-02 08:05:41
Не работает wi-fi (выдает ошибку:(32) Insufficient privileges при подключении)
при работе в LXDE и XFCE. На KDE4 проблем не замечено
------- Comment #1 From 2013-05-02 08:20:54 -------
(В ответ на комментарий №0)
> Не работает wi-fi (выдает ошибку:(32) Insufficient privileges при подключении)
> при работе в LXDE и XFCE. На KDE4 проблем не замечено

Это происходит после обновления c p6 или при "свежей" установке Simply, как на
форуме обсуждалось?
------- Comment #2 From 2013-05-02 08:45:03 -------
Я устанавливал с  altlinx-7.0.0.beta-20130415-kdesktop-586-ru-install-dvd5.iso
и 
обновлялся до p7
------- Comment #3 From 2013-05-02 08:46:44 -------
(В ответ на комментарий №2)
> Я устанавливал с  altlinx-7.0.0.beta-20130415-kdesktop-586-ru-install-dvd5.iso
> и 
> обновлялся до p7

И накатывали xfce и lxde?
------- Comment #4 From 2013-05-02 09:19:44 -------
Да, потом накатывал. Еще добавлю что проблема только с новыми подключениями по
wi-fi, если из kde4 подключится и nm запомнит соединение, то из lxde и xfce
потом нормально подключается.
------- Comment #5 From 2013-05-02 10:26:08 -------
Ждем ответа на
http://forum.altlinux.org/index.php/topic,29086.msg203731.html#msg203731
------- Comment #6 From 2013-05-02 14:03:53 -------
ps ax | grep polkit-gnome
Если ничего не находится (скорее всего), то запустите для проверки
/usr/libexec/polkit-1/polkit-gnome-authentication-agent-1
------- Comment #7 From 2013-05-02 18:40:58 -------
2rotkart@: правильно ли мы Вас поняли на форуме, что описанная ошибка возникла
у Вас сразу после новой установки свежей беты Симпли? Если да, то каким из
способов Вы устанавливали систему?
------- Comment #8 From 2013-05-02 18:57:03 -------
http://forum.altlinux.org/index.php/topic,29086.msg203784.html#msg203784 :
-------------
    На свежеустановленном SL p7 - невозможно настроить вайфай. Возникает окно с
ошибкой (32) Insufficient privileges.

Да, бета симпли на p7. Ноут ASUS F5RL. После первого запуска - окно с такой
ошибкой. Через acc настроить через etcnet тоже не получилось, к сожалению.
-------------

Подтверждена на свежей системе, потому блокер.
------- Comment #9 From 2013-05-02 19:08:53 -------
(В ответ на комментарий №6)
> ps ax | grep polkit-gnome
> Если ничего не находится (скорее всего), то запустите для проверки
> /usr/libexec/polkit-1/polkit-gnome-authentication-agent-1

Да вы правы, polkit-gnome не был запущен. Сделал как вы сказали, wi-fi
заработал. :)
------- Comment #10 From 2013-05-02 19:23:11 -------
(In reply to comment #7)
> 2rotkart@: правильно ли мы Вас поняли на форуме, что описанная ошибка возникла
> у Вас сразу после новой установки свежей беты Симпли? Если да, то каким из
> способов Вы устанавливали систему?
Качал это:
ftp://ftp.altlinux.ru/pub/beta/p7/simply/altlinux-6.994.0_beta20130428-simply-i586-install-dvd5.iso
Нарезал на флешку dd с bs=1M. 
Про модель ноута писал на форуме, ранее на нём стоял Kdesktop 6. Неудачно
обновился и, чтоб время съэкономить, решил поставить симпли. Раздел с /home не
форматировал, естественно.
------- Comment #11 From 2013-05-02 23:44:16 -------
(В ответ на комментарий №9)
> (В ответ на комментарий №6)
> > ps ax | grep polkit-gnome
> > Если ничего не находится (скорее всего), то запустите для проверки
> > /usr/libexec/polkit-1/polkit-gnome-authentication-agent-1
> 
> Да вы правы, polkit-gnome не был запущен. Сделал как вы сказали, wi-fi
> заработал. :)

Проверьте в разделе "Системные службы" (пакет alterator-services) "Центра
управления системой", стоит ли галочка "Запускать при загрузке системы" у
сервиса polkit. Если  нет, то поставьте, нажмите "Применить" и после выхода из
Центра управления перезагрузите систему.
------- Comment #12 From 2013-05-03 00:01:22 -------
2sem: если есть проблемы с polkit-gnome, то нужно открыть отдельную багу с
новой формулировкой ошибки.
Тут же речь идет о проблеме с wifi после установки беты Симпли.
------- Comment #13 From 2013-05-03 01:33:32 -------
Хм... у меня стоит галка запускать polkit при старте системы. Тем не менее, при
попытке изменить сетевое соединение в Network Manager получаю "нехватку
привилегий".
Simply. Обновлялся с p6 до p7 по рецепту на вике-странице.
------- Comment #14 From 2013-05-03 06:36:38 -------
(В ответ на комментарий №11)
> (В ответ на комментарий №9)
> > (В ответ на комментарий №6)
> > > ps ax | grep polkit-gnome
> > > Если ничего не находится (скорее всего), то запустите для проверки
> > > /usr/libexec/polkit-1/polkit-gnome-authentication-agent-1
> > 
> > Да вы правы, polkit-gnome не был запущен. Сделал как вы сказали, wi-fi
> > заработал. :)
> 
> Проверьте в разделе "Системные службы" (пакет alterator-services) "Центра
> управления системой", стоит ли галочка "Запускать при загрузке системы" у
> сервиса polkit. Если  нет, то поставьте, нажмите "Применить" и после выхода из
> Центра управления перезагрузите систему.
Я проверил галочка напротив polkit стоит.
------- Comment #15 From 2013-05-03 07:49:42 -------
(В ответ на комментарий №14)
> (В ответ на комментарий №11)
> > (В ответ на комментарий №9)
> > > (В ответ на комментарий №6)
> > > > ps ax | grep polkit-gnome
> > > > Если ничего не находится (скорее всего), то запустите для проверки
> > > > /usr/libexec/polkit-1/polkit-gnome-authentication-agent-1
> > > 
> > > Да вы правы, polkit-gnome не был запущен. Сделал как вы сказали, wi-fi
> > > заработал. :)
> > 
> > Проверьте в разделе "Системные службы" (пакет alterator-services) "Центра
> > управления системой", стоит ли галочка "Запускать при загрузке системы" у
> > сервиса polkit. Если  нет, то поставьте, нажмите "Применить" и после выхода из
> > Центра управления перезагрузите систему.
> Я проверил галочка напротив polkit стоит.

У вновь созданного пользователя эта ошибка проявляется?
------- Comment #16 From 2013-05-03 08:48:56 -------
У нового пользователя на lxde проблема воспроизводится, на xfce проверю  порже 
ь
------- Comment #17 From 2013-05-03 09:01:02 -------
(В ответ на комментарий №10)
> (In reply to comment #7)
> > 2rotkart@: правильно ли мы Вас поняли на форуме, что описанная ошибка возникла
> > у Вас сразу после новой установки свежей беты Симпли? Если да, то каким из
> > способов Вы устанавливали систему?
> Качал это:
> ftp://ftp.altlinux.ru/pub/beta/p7/simply/altlinux-6.994.0_beta20130428-simply-i586-install-dvd5.iso
> Нарезал на флешку dd с bs=1M. 
> Про модель ноута писал на форуме, ранее на нём стоял Kdesktop 6. Неудачно
> обновился и, чтоб время съэкономить, решил поставить симпли. Раздел с /home не
> форматировал, естественно.

А у Вас воспроизводится у вновь созданного пользователя?
------- Comment #18 From 2013-05-03 10:09:03 -------
Created an attachment (id=5817) [details]
логи и скриншоты

Скриншот запуска nm-applet вручную
Скриншот попытки монтирования флешки
Лог сессии пользователя
Системный лог
------- Comment #19 From 2013-05-03 10:12:55 -------
(В ответ на комментарий №18)
Поясняю. Simply. Обновление с р6 до р7. Завел нового пользователя через
альтератор. Залогинился под ним. nm-applet автоматом не запустился, попробовал
запустить вручную и снял скриншот. Далее попытался примонтировать флешку,
результат попытки заскриншотил.
------- Comment #20 From 2013-05-03 12:20:47 -------
(В ответ на комментарий №19)
> (В ответ на комментарий №18)
> Поясняю. Simply. Обновление с р6 до р7. Завел нового пользователя через
> альтератор. Залогинился под ним. nm-applet автоматом не запустился, попробовал
> запустить вручную и снял скриншот. Далее попытался примонтировать флешку,
> результат попытки заскриншотил.

Спасибо!
------- Comment #21 From 2013-05-03 15:54:10 -------
(В ответ на комментарий №17)
> (В ответ на комментарий №10)
> > (In reply to comment #7)
> > > 2rotkart@: правильно ли мы Вас поняли на форуме, что описанная ошибка возникла
> > > у Вас сразу после новой установки свежей беты Симпли? Если да, то каким из
> > > способов Вы устанавливали систему?
> > Качал это:
> > ftp://ftp.altlinux.ru/pub/beta/p7/simply/altlinux-6.994.0_beta20130428-simply-i586-install-dvd5.iso
> > Нарезал на флешку dd с bs=1M. 
> > Про модель ноута писал на форуме, ранее на нём стоял Kdesktop 6. Неудачно
> > обновился и, чтоб время съэкономить, решил поставить симпли. Раздел с /home не
> > форматировал, естественно.
> 
> А у Вас воспроизводится у вновь созданного пользователя?

Можно сказать, что да! Я перед установкой переносил все файлы и каталоги с
точкой вначале в отдельный каталог, так что все сеансы создавались с нуля.
------- Comment #22 From 2013-05-03 16:20:59 -------
(В ответ на комментарий №21)
> (В ответ на комментарий №17)
> > (В ответ на комментарий №10)
> > > (In reply to comment #7)
> > > > 2rotkart@: правильно ли мы Вас поняли на форуме, что описанная ошибка возникла
> > > > у Вас сразу после новой установки свежей беты Симпли? Если да, то каким из
> > > > способов Вы устанавливали систему?
> > > Качал это:
> > > ftp://ftp.altlinux.ru/pub/beta/p7/simply/altlinux-6.994.0_beta20130428-simply-i586-install-dvd5.iso
> > > Нарезал на флешку dd с bs=1M. 
> > > Про модель ноута писал на форуме, ранее на нём стоял Kdesktop 6. Неудачно
> > > обновился и, чтоб время съэкономить, решил поставить симпли. Раздел с /home не
> > > форматировал, естественно.
> > 
> > А у Вас воспроизводится у вновь созданного пользователя?
> 
> Можно сказать, что да! Я перед установкой переносил все файлы и каталоги с
> точкой вначале в отдельный каталог, так что все сеансы создавались с нуля.

Ничего не понял.
Можете создать нового пользователя, ничего никуда не перенося, и проверить?
------- Comment #23 From 2013-05-03 17:30:13 -------
(В ответ на комментарий №22)
> Ничего не понял.
> Можете создать нового пользователя, ничего никуда не перенося, и проверить?

Я сделал перед переустановкой как-то так:

cd
mkdir backup
mv -r ^\.* ~/backup/

Это разве не то же самое, что "пустого" пользователя создать? 
Конечно, из /etc/skel я новое содержимое не копировал - это критично?

Попробовать на новом пользователе смогу, конечно, но не сразу - надо добраться
до домашнего компа, что сложновато на праздниках, простите :-)
------- Comment #24 From 2013-05-03 17:32:37 -------
(В ответ на комментарий №23)

> mv -r ^\.* ~/backup/
Извиняюсь, -f, конечно
------- Comment #25 From 2013-05-03 17:41:31 -------
(В ответ на комментарий №23)
> 
> Попробовать на новом пользователе смогу, конечно, но не сразу - надо добраться
> до домашнего компа, что сложновато на праздниках, простите :-)

А нам до стендов на работе надо добраться. Бага неприятная, но прошу чуть
подождать.
------- Comment #26 From 2013-05-03 22:05:36 -------
(В ответ на комментарий №16)
> У нового пользователя на lxde проблема воспроизводится, на xfce проверю  порже 
 На xfce4 у нового пользователя тоже аналогично.
------- Comment #27 From 2013-05-03 22:23:21 -------
Я поясню в чем проблема, раз это почему-то вызвало такой ажиотаж.
В какой-то момент из состава пакета gnome-polkit был убран
/etc/xdg/autostart/polkit-gnome-authentication-agent-1.desktop, в результате
чего агент больше не запускается автоматически при старте сеанса (в самом Гноме
агент видимо запускается теперь как-то иначе). Я где-то читал обоснование
почему это было сделано, уже точно не помню что там писали, позже найду.
В бете Симпли сейчас эта проблема решается с помощью соответствующего
desktop-файла в каталоге пользователя. При обновлении или использовании старого
home такого файла разумеется нет, поэтому агент не стартует.
Это в целом нормально, умолчательные настройки нового пользователя в новой бете
отличаются от старых не только этим. Менять же содержимое уже имеющегося
домашнего каталога никто не будет, разумеется. Можно добавить автостарт
/usr/libexec/polkit-1/polkit-gnome-authentication-agent-1 самостоятельно в
Диспетчере настроек->Сеансы и запуск->Автозапуск приложений.
Применительно конкретно к дистрибутиву Симпли это NOTABUG. Другое дело, что
хорошо бы обеспечить автостарт агента каким-то другим способом. Я навскидку
знаю 3 варианта решения этой проблемы, надо их обдумать и выбрать лучший.
Т.к. пока неясно в каком именно пакете будет исправление, то пусть висит на
Симпли, закрывать как NOTABUG пока не буду.
Обсуждать же в этой баге уже, в общем-то, нечего, никакой дополнительной
информации тоже уже не надо.
------- Comment #28 From 2013-05-03 23:33:28 -------
2sem@: спасибо!
------- Comment #29 From 2013-05-04 09:26:12 -------
(В ответ на комментарий №27)
> Я поясню в чем проблема, раз это почему-то вызвало такой ажиотаж.
Ажиотаж вызван тем, что у пользователей, как у существующих на момент
обновления системы, так и у вновь созданных после обновления, не работает
network manager.
------- Comment #30 From 2013-05-04 12:30:27 -------
2mike@: В LXDE starter kit (видимо, и в regular) то же самое, что не
удивительно:
http://forum.altlinux.org/index.php/topic,29081.msg203879.html#msg203879
------- Comment #31 From 2013-05-06 17:26:01 -------
xfce4-session-4.10.0-alt5.git20130426 -> sisyphus:

* Mon May 06 2013 Mikhail Efremov <sem@altlinux> 4.10.0-alt5.git20130426
- Added gnome-authentication-agent autostart desktop-file (closes: #28920).
------- Comment #32 From 2013-05-06 19:22:55 -------
(In reply to comment #31)
> xfce4-session-4.10.0-alt5.git20130426 -> sisyphus:
> 
> * Mon May 06 2013 Mikhail Efremov <sem@altlinux> 4.10.0-alt5.git20130426
> - Added gnome-authentication-agent autostart desktop-file (closes: #28920).

А ссылку для тестирования на p7 можно, а то я с ходу не нашел?
------- Comment #33 From 2013-05-06 21:43:07 -------
(В ответ на комментарий №32)
> (In reply to comment #31)
> > xfce4-session-4.10.0-alt5.git20130426 -> sisyphus:
> > 
> > * Mon May 06 2013 Mikhail Efremov <sem@altlinux> 4.10.0-alt5.git20130426
> > - Added gnome-authentication-agent autostart desktop-file (closes: #28920).
> 
> А ссылку для тестирования на p7 можно, а то я с ходу не нашел?

Завтра с 9.00MSK должно быть в p7, обновляйтесь.
------- Comment #34 From 2013-05-06 22:31:37 -------
(In reply to comment #33)
> (В ответ на комментарий №32)
> > (In reply to comment #31)
> > > xfce4-session-4.10.0-alt5.git20130426 -> sisyphus:
> > > 
> > > * Mon May 06 2013 Mikhail Efremov <sem@altlinux> 4.10.0-alt5.git20130426
> > > - Added gnome-authentication-agent autostart desktop-file (closes: #28920).
> > 
> > А ссылку для тестирования на p7 можно, а то я с ходу не нашел?
> 
> Завтра с 9.00MSK должно быть в p7, обновляйтесь.
Хорошо, но проверить смогу только вечером.
------- Comment #35 From 2013-05-07 22:25:24 -------
Проверил все нормально, как под новым так под старыми пользователями.